> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beneficiary

> Getting user beneficiary



## OpenAPI

````yaml /openapi/payouts.json get /merchant/get-beneficiary
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/get-beneficiary:
    get:
      tags:
        - ''
      summary: Get Beneficiary
      description: Getting user beneficiary
      operationId: Checking transmit user beneficiary with Flick
      responses:
        '200':
          description: Successfully fetched beneficiary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BeneficiaryResponse'
        '400':
          description: Bad Request
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: A business with this email address has been registered
      security:
        - bearerAuth: []
components:
  schemas:
    BeneficiaryResponse:
      type: object
      properties:
        message:
          type: string
          example: Data retrieved successfully
        status:
          type: integer
          example: 200
        count:
          type: integer
          example: 1
        data:
          type: array
          items:
            type: object
            properties:
              beneficiary_id:
                type: string
                example: cKKFJOSKE
              account_no:
                type: string
                example: '000234445555'
              dated:
                type: string
                example: '2024-08-13T08:11:51.746Z'
              beneficiary_name:
                type: string
                example: Kingsley
              bank_code:
                type: string
                example: '011'
              bank_name:
                type: string
                example: gtbank
              bank_country:
                type: string
                example: Nigeria
      example:
        status: 200
        message: data retrieved successfully
        count: 1
        data:
          - beneficiary_id: Cc5zlc9dN
            account_no: '0130086553'
            dated: '2024-08-13T08:11:51.746Z'
            beneficiary_name: Kingsley
            bank_code: '011'
            bank_name: GTBANK
            bank_country: NIGERIA
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.